variables:
  OSDU_GCP_APPLICATION_NAME: os-notification
  OSDU_GCP_CLOUD_RUN_PARAMETERS: "--min-instances=1"
  OSDU_GCP_VENDOR: gcp
  OSDU_GCP_SERVICE: notification
  OSDU_GCP_REGISTER_BASE_URL: https://os-register-attcrcktoa-uc.a.run.app/api/register/v1
  OSDU_GCP_ENV_VARS: APP_PROJECT=$OSDU_GCP_PROJECT,APP_ENTITLEMENTS=$OSDU_GCP_ENTITLEMENTS_URL,APP_REGISTER=$OSDU_GCP_REGISTER_BASE_URL,APP_GOOGLEAUDIENCE=$GOOGLE_AUDIENCE,PARTITION_API=$OSDU_GCP_PARTITION_API,GOOGLE_AUDIENCES=$GOOGLE_AUDIENCE
  OSDU_GCP_ENVIRONMENT: dev_gke
  OSDU_GCP_LOG_LEVEL: INFO

  AWS_BUILD_SUBDIR: provider/notification-aws/build-aws
  AWS_TEST_SUBDIR: testing/notification-test-aws
  AWS_SERVICE: notification
  AWS_ENVIRONMENT: dev

  AZURE_SERVICE: notification
  AZURE_BUILD_SUBDIR: provider/notification-azure
  AZURE_TEST_SUBDIR: testing/notification-test-azure
  AZURE_DEPLOYMENTS_SUBDIR: deployments/scripts/azure

  IBM_BUILD_SUBDIR: provider/notification-ibm
  IBM_INT_TEST_SUBDIR: testing/notification-test-ibm

include:
  - project: "osdu/platform/ci-cd-pipelines"
    ref: "master"
    file: "standard-setup.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    ref: "master"
    file: "build/maven.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    ref: "master"
    file: "scanners/fossa.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    ref: "master"
    file: "scanners/gitlab-ultimate.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    ref: "master"
    file: "cloud-providers/azure.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    ref: "master"
    file: "cloud-providers/osdu-gcp-cloudrun.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/aws.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/ibm.yml"

osdu-gcp-test:
  variables:
    ENVIRONMENT: $OSDU_GCP_ENVIRONMENT
    REGISTER_BASE_URL: $OSDU_GCP_REGISTER_BASE_URL
  allow_failure: true
